<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_d0845bff5" . "cd0ddb5ed1" . "d7bd9db996" . "f51" => base64_decode("c2" . "91" . "cm" . "Nl"), "_80e7ee43fdf838101a2303a7b4a50" . "efc" => base64_decode("dG9f" . "Zm9s" . "ZGVy" . "X2lk"), "ty" . "pe" => base64_decode("dHlw" . "ZQ=="), "_2e858fb1973" . "337f53ff85c1" . "04fcb38f4" => base64_decode("cHVibGl" . "zaGVk"), "_32155ccb342f199" . "043093041c1b3bb5" . "7" => base64_decode("ZnJvbV9mb2xkZX" . "JfaWQ="), "_939c6a45" . "ff74323db" . "ef487ed15" . "753a7c" => base64_decode("c3RhdGU" . "="), "_4c760fb02a49c55509ba087b84fbda4" . "5" => base64_decode("ZHJhZ" . "nQ="));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_939c6a45ff743" . "23dbef487ed157" . "53a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_939c6a45ff74323dbef487e" . "d15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4c760fb02a49c55509ba087b84fb" . "da45"];
        }
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_2e858fb197333" . "7f53ff85c104fc" . "b38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["t" . "y" . "p" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["t" . "y" . "p" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_d0845bff5cd0ddb5e" . "d1d7bd9db996f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_32155cc" . "b342f199" . "04309304" . "1c1b3bb5" . "7"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_80e7ee4" . "3fdf8381" . "01a2303a" . "7b4a50ef" . "c"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}